Package org.gradle.api.artifacts

## Interface ResolvedArtifact

-     public interface ResolvedArtifact

  Information about a resolved artifact.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassifier()` |
    `java.lang.String` | `getExtension()` |
    `java.io.File` | `getFile()` | Returns the local file for this artifact.
    `ComponentArtifactIdentifier` | `getId()` |
    `ResolvedModuleVersion` | `getModuleVersion()` | Returns the module which this artifact belongs to.
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getType()` |

- - ### Method Detail

    - #### getFile

          java.io.File getFile()

      Returns the local file for this artifact. Downloads the artifact if not already available locally, blocking until complete.

    - #### getModuleVersion

          ResolvedModuleVersion getModuleVersion()

      Returns the module which this artifact belongs to.
      Returns:
        The module.

    - #### getName

          java.lang.String getName()

    - #### getType

          java.lang.String getType()

    - #### getExtension

          java.lang.String getExtension()

    - #### getClassifier

          @Nullable
          java.lang.String getClassifier()

    - #### getId

          ComponentArtifactIdentifier getId()